zenilib: zenilib/jni/external/sdl/SDL/SDL_stdinc.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
SDL_stdinc.h File Reference
`#include "SDL_config.h"`
`#include <stddef.h>`
`#include <stdarg.h>`
`#include <stdint.h>`
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Macros

#define | M_PI 3.14159265358979323846264338327950288 /* pi */
#define | SDL_arraysize(array) (sizeof(array)/sizeof(array[0]))
#define | SDL_COMPILE_TIME_ASSERT(name, x) typedef int SDL_dummy_ ## name[(x) * 2 - 1]
#define | SDL_FOURCC(A, B, C, D)
#define | SDL_ICONV_E2BIG (size_t)-2
#define | SDL_ICONV_EILSEQ (size_t)-3
#define | SDL_ICONV_EINVAL (size_t)-4
#define | SDL_ICONV_ERROR (size_t)-1
#define | SDL_iconv_utf8_locale(S) SDL_iconv_string("", "UTF-8", S, SDL_strlen(S)+1)
#define | SDL_iconv_utf8_ucs2(S) (Uint16 *)SDL_iconv_string("UCS-2-INTERNAL", "UTF-8", S, SDL_strlen(S)+1)
#define | SDL_iconv_utf8_ucs4(S) (Uint32 *)SDL_iconv_string("UCS-4-INTERNAL", "UTF-8", S, SDL_strlen(S)+1)
#define | SDL_max(x, y) (((x) > (y)) ? (x) : (y))
#define | SDL_min(x, y) (((x) < (y)) ? (x) : (y))
#define | SDL_stack_alloc(type, count) (type*)SDL_malloc(sizeof(type)*(count))
#define | SDL_stack_free(data) SDL_free(data)
#define | SDL_TABLESIZE(table) SDL_arraysize(table)
#define | SDL_zero(x) SDL_memset(&(x), 0, sizeof((x)))
#define | SDL_zerop(x) SDL_memset((x), 0, sizeof(*(x)))
Cast operators
Use proper C++ casts when compiled as C++ to be compatible with the option -Wold-style-cast of GCC (and -Werror=old-style-cast in GCC 4.2 and above).
#define | SDL_reinterpret_cast(type, expression) ((type)(expression))
#define | SDL_static_cast(type, expression) ((type)(expression))
#define | SDL_const_cast(type, expression) ((type)(expression))

## Typedefs

typedef struct _SDL_iconv_t * | SDL_iconv_t

## Functions

DECLSPEC int SDLCALL | SDL_abs (int x)
DECLSPEC double SDLCALL | SDL_atan (double x)
DECLSPEC double SDLCALL | SDL_atan2 (double x, double y)
DECLSPEC double SDLCALL | SDL_atof (const char *str)
DECLSPEC int SDLCALL | SDL_atoi (const char *str)
DECLSPEC void *SDLCALL | SDL_calloc (size_t nmemb, size_t size)
DECLSPEC double SDLCALL | SDL_ceil (double x)
DECLSPEC double SDLCALL | SDL_copysign (double x, double y)
DECLSPEC double SDLCALL | SDL_cos (double x)
DECLSPEC float SDLCALL | SDL_cosf (float x)
DECLSPEC double SDLCALL | SDL_fabs (double x)
DECLSPEC double SDLCALL | SDL_floor (double x)
DECLSPEC void SDLCALL | SDL_free (void *mem)
DECLSPEC char *SDLCALL | SDL_getenv (const char *name)
DECLSPEC size_t SDLCALL | SDL_iconv (SDL_iconv_t cd, const char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
DECLSPEC int SDLCALL | SDL_iconv_close (SDL_iconv_t cd)
DECLSPEC SDL_iconv_t SDLCALL | SDL_iconv_open (const char *tocode, const char *fromcode)
DECLSPEC char *SDLCALL | SDL_iconv_string (const char *tocode, const char *fromcode, const char *inbuf, size_t inbytesleft)
DECLSPEC int SDLCALL | SDL_isdigit (int x)
DECLSPEC int SDLCALL | SDL_isspace (int x)
DECLSPEC char *SDLCALL | SDL_itoa (int value, char *str, int radix)
DECLSPEC char *SDLCALL | SDL_lltoa (Sint64 value, char *str, int radix)
DECLSPEC double SDLCALL | SDL_log (double x)
DECLSPEC char *SDLCALL | SDL_ltoa (long value, char *str, int radix)
DECLSPEC void *SDLCALL | SDL_malloc (size_t size)
DECLSPEC int SDLCALL | SDL_memcmp (const void *s1, const void *s2, size_t len)
DECLSPEC void *SDLCALL | SDL_memcpy (void *dst, const void *src, size_t len)
SDL_FORCE_INLINE void * | SDL_memcpy4 (void *dst, const void *src, size_t dwords)
DECLSPEC void *SDLCALL | SDL_memmove (void *dst, const void *src, size_t len)
DECLSPEC void *SDLCALL | SDL_memset (void *dst, int c, size_t len)
SDL_FORCE_INLINE void | SDL_memset4 (void *dst, int val, size_t dwords)
DECLSPEC double SDLCALL | SDL_pow (double x, double y)
DECLSPEC void SDLCALL | SDL_qsort (void *base, size_t nmemb, size_t size, int(*compare)(const void *, const void *))
DECLSPEC void *SDLCALL | SDL_realloc (void *mem, size_t size)
DECLSPEC double SDLCALL | SDL_scalbn (double x, int n)
DECLSPEC int SDLCALL | SDL_setenv (const char *name, const char *value, int overwrite)
DECLSPEC double SDLCALL | SDL_sin (double x)
DECLSPEC float SDLCALL | SDL_sinf (float x)
DECLSPEC int SDLCALL | SDL_snprintf (char *text, size_t maxlen, const char *fmt,...)
DECLSPEC double SDLCALL | SDL_sqrt (double x)
DECLSPEC int SDLCALL | SDL_sscanf (const char *text, const char *fmt,...)
DECLSPEC int SDLCALL | SDL_strcasecmp (const char *str1, const char *str2)
DECLSPEC char *SDLCALL | SDL_strchr (const char *str, int c)
DECLSPEC int SDLCALL | SDL_strcmp (const char *str1, const char *str2)
DECLSPEC char *SDLCALL | SDL_strdup (const char *str)
DECLSPEC size_t SDLCALL | SDL_strlcat (char *dst, const char *src, size_t maxlen)
DECLSPEC size_t SDLCALL | SDL_strlcpy (char *dst, const char *src, size_t maxlen)
DECLSPEC size_t SDLCALL | SDL_strlen (const char *str)
DECLSPEC char *SDLCALL | SDL_strlwr (char *str)
DECLSPEC int SDLCALL | SDL_strncasecmp (const char *str1, const char *str2, size_t len)
DECLSPEC int SDLCALL | SDL_strncmp (const char *str1, const char *str2, size_t maxlen)
DECLSPEC char *SDLCALL | SDL_strrchr (const char *str, int c)
DECLSPEC char *SDLCALL | SDL_strrev (char *str)
DECLSPEC char *SDLCALL | SDL_strstr (const char *haystack, const char *needle)
DECLSPEC double SDLCALL | SDL_strtod (const char *str, char **endp)
DECLSPEC long SDLCALL | SDL_strtol (const char *str, char **endp, int base)
DECLSPEC Sint64 SDLCALL | SDL_strtoll (const char *str, char **endp, int base)
DECLSPEC unsigned long SDLCALL | SDL_strtoul (const char *str, char **endp, int base)
DECLSPEC Uint64 SDLCALL | SDL_strtoull (const char *str, char **endp, int base)
DECLSPEC char *SDLCALL | SDL_strupr (char *str)
DECLSPEC int SDLCALL | SDL_tolower (int x)
DECLSPEC int SDLCALL | SDL_toupper (int x)
DECLSPEC char *SDLCALL | SDL_uitoa (unsigned int value, char *str, int radix)
DECLSPEC char *SDLCALL | SDL_ulltoa (Uint64 value, char *str, int radix)
DECLSPEC char *SDLCALL | SDL_ultoa (unsigned long value, char *str, int radix)
DECLSPEC size_t SDLCALL | SDL_utf8strlcpy (char *dst, const char *src, size_t dst_bytes)
DECLSPEC int SDLCALL | SDL_vsnprintf (char *text, size_t maxlen, const char *fmt, va_list ap)
DECLSPEC size_t SDLCALL | SDL_wcslcat (wchar_t *dst, const wchar_t *src, size_t maxlen)
DECLSPEC size_t SDLCALL | SDL_wcslcpy (wchar_t *dst, const wchar_t *src, size_t maxlen)
DECLSPEC size_t SDLCALL | SDL_wcslen (const wchar_t *wstr)

## Basic data types

enum | SDL_bool { SDL_FALSE = 0, SDL_TRUE = 1 }
typedef int8_t | Sint8
| A signed 8-bit integer type. More...
typedef uint8_t | Uint8
| An unsigned 8-bit integer type. More...
typedef int16_t | Sint16
| A signed 16-bit integer type. More...
typedef uint16_t | Uint16
| An unsigned 16-bit integer type. More...
typedef int32_t | Sint32
| A signed 32-bit integer type. More...
typedef uint32_t | Uint32
| An unsigned 32-bit integer type. More...
typedef int64_t | Sint64
| A signed 64-bit integer type. More...
typedef uint64_t | Uint64
| An unsigned 64-bit integer type. More...

## Macro Definition Documentation

#define M_PI 3.14159265358979323846264338327950288 /* pi */

Definition at line 339 of file SDL_stdinc.h.

#define SDL_arraysize | ( |  | array | ) | (sizeof(array)/sizeof(array[0]))

The number of elements in an array.

Definition at line 83 of file SDL_stdinc.h.

Referenced by get_audio_device(), IMA_ADPCM_decode(), open_audio_device(), SDL_AudioQuit(), SDL_GameControllerEventState(), SDL_GetErrorMsg(), SDL_GetNumAudioDrivers(), SDL_GetNumRenderDrivers(), SDL_GetNumVideoDrivers(), SDL_GetScancodeFromName(), SDL_iconv_open(), SDL_JoystickEventState(), SDL_LogOutput(), SDL_PromptAssertion(), SDL_SendEditingText(), SDL_SendKeyboardText(), SDL_StopEventLoop(), SDL_WasInit(), and SDLTest_CommonInit().

#define SDL_COMPILE_TIME_ASSERT | ( |  | name,
|  |  | x
| ) |  | typedef int SDL_dummy_ ## name[(x) * 2 - 1]

Definition at line 159 of file SDL_stdinc.h.

Referenced by SDL_AtomicTryLock().

#define SDL_const_cast | ( |  | type,
|  |  | expression
| ) |  | ((type)(expression))

Definition at line 100 of file SDL_stdinc.h.

Referenced by SDL_strchr(), SDL_strrchr(), SDL_strstr(), and SDL_TLSSet().

#define SDL_FOURCC | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D
| ) |  |

Value:
((SDL_static_cast(Uint32, SDL_static_cast(Uint8, (A))) << 0) | \
(SDL_static_cast(Uint32, SDL_static_cast(Uint8, (B))) << 8) | \
(SDL_static_cast(Uint32, SDL_static_cast(Uint8, (C))) << 16) | \
(SDL_static_cast(Uint32, SDL_static_cast(Uint8, (D))) << 24))
Uint32
uint32_t Uint32
An unsigned 32-bit integer type.
Definition: SDL_stdinc.h:145
Uint8
uint8_t Uint8
An unsigned 8-bit integer type.
Definition: SDL_stdinc.h:129
SDL_static_cast
#define SDL_static_cast(type, expression)
Definition: SDL_stdinc.h:99

Definition at line 105 of file SDL_stdinc.h.

#define SDL_ICONV_E2BIG (size_t)-2

Definition at line 360 of file SDL_stdinc.h.

Referenced by SDL_iconv(), and SDL_iconv_string().

#define SDL_ICONV_EILSEQ (size_t)-3

Definition at line 361 of file SDL_stdinc.h.

Referenced by SDL_iconv_string().

#define SDL_ICONV_EINVAL (size_t)-4

Definition at line 362 of file SDL_stdinc.h.

Referenced by SDL_iconv(), and SDL_iconv_string().

#define SDL_ICONV_ERROR (size_t)-1

Definition at line 359 of file SDL_stdinc.h.

Referenced by SDL_iconv_string().

#define SDL_iconv_utf8_locale | ( |  | S | ) | SDL_iconv_string("", "UTF-8", S, SDL_strlen(S)+1)

Definition at line 380 of file SDL_stdinc.h.

#define SDL_iconv_utf8_ucs2 | ( |  | S | ) | (Uint16 *)SDL_iconv_string("UCS-2-INTERNAL", "UTF-8", S, SDL_strlen(S)+1)

Definition at line 381 of file SDL_stdinc.h.

#define SDL_iconv_utf8_ucs4 | ( |  | S | ) | (Uint32 *)SDL_iconv_string("UCS-4-INTERNAL", "UTF-8", S, SDL_strlen(S)+1)

Definition at line 382 of file SDL_stdinc.h.

#define SDL_max | ( |  | x,
|  |  | y
| ) |  | (((x) > (y)) ? (x) : (y))

Definition at line 245 of file SDL_stdinc.h.

Referenced by RenderDrawLinesWithRects(), SDL_RendererEventWatch(), SDL_SetWindowMinimumSize(), and SW_RenderFillRects().

#define SDL_min | ( |  | x,
|  |  | y
| ) |  | (((x) < (y)) ? (x) : (y))

Definition at line 244 of file SDL_stdinc.h.

Referenced by bestDollarDifference(), RenderDrawLinesWithRects(), SDL_PrintFloat(), SDL_RendererEventWatch(), SDL_SetWindowMaximumSize(), SDL_strlcpy(), SDL_SYS_JoystickGetDeviceGUID(), SDL_SYS_JoystickGetGUID(), SDL_utf8strlcpy(), SDL_vsnprintf(), SDL_WasInit(), and SDL_wcslcpy().

#define SDL_reinterpret_cast | ( |  | type,
|  |  | expression
| ) |  | ((type)(expression))

Definition at line 98 of file SDL_stdinc.h.

#define SDL_stack_alloc | ( |  | type,
|  |  | count
| ) |  | (type*)SDL_malloc(sizeof(type)*(count))

Definition at line 226 of file SDL_stdinc.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), SDL_LogMessageV(), SDL_LogOutput(), SDL_PromptAssertion(), SDL_RenderDrawLines(), SDL_RenderDrawPoints(), SDL_RenderFillRects(), SDL_RWFromFile(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

#define SDL_stack_free | ( |  | data | ) | SDL_free(data)

Definition at line 227 of file SDL_stdinc.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), SDL_LogMessageV(), SDL_LogOutput(), SDL_PromptAssertion(), SDL_RenderDrawLines(), SDL_RenderDrawPoints(), SDL_RenderFillRects(), SDL_RWFromFile(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

#define SDL_static_cast | ( |  | type,
|  |  | expression
| ) |  | ((type)(expression))

Definition at line 99 of file SDL_stdinc.h.

Referenced by SDL_memset4(), SDL_Swap16(), SDL_Swap32(), and SDL_Swap64().

#define SDL_TABLESIZE | ( |  | table | ) | SDL_arraysize(table)

Definition at line 84 of file SDL_stdinc.h.

Referenced by PSP_InitOSKeymap().

#define SDL_zero | ( |  | x | ) | SDL_memset(&(x), 0, sizeof((x)))

Definition at line 254 of file SDL_stdinc.h.

Referenced by find_device_by_name(), prepare_audiounit(), SDL_AddBasicVideoDisplay(), SDL_JoystickGetDeviceGUID(), SDL_LoadWAV_RW(), SDL_PromptAssertion(), SDL_RenderSetClipRect(), SDL_SetWindowDisplayMode(), SDL_ShowSimpleMessageBox(), SDL_SYS_JoystickGetDeviceGUID(), SDL_SYS_JoystickGetGUID(), SDL_vsnprintf(), and SDLTest_CommonInit().

#define SDL_zerop | ( |  | x | ) | SDL_memset((x), 0, sizeof(*(x)))

Definition at line 255 of file SDL_stdinc.h.

Referenced by SDL_BuildAudioCVT(), SDL_CreateSurfaceOnStack(), SDL_GetErrBuf(), SDL_HapticRumbleInit(), SDL_InitFormat(), and SDL_MouseQuit().

## Typedef Documentation

typedef struct _SDL_iconv_t* SDL_iconv_t

Definition at line 365 of file SDL_stdinc.h.

typedef int16_t Sint16

A signed 16-bit integer type.

Definition at line 133 of file SDL_stdinc.h.

typedef int32_t Sint32

A signed 32-bit integer type.

Definition at line 141 of file SDL_stdinc.h.

typedef int64_t Sint64

A signed 64-bit integer type.

Definition at line 150 of file SDL_stdinc.h.

typedef int8_t Sint8

A signed 8-bit integer type.

Definition at line 125 of file SDL_stdinc.h.

typedef uint16_t Uint16

An unsigned 16-bit integer type.

Definition at line 137 of file SDL_stdinc.h.

typedef uint32_t Uint32

An unsigned 32-bit integer type.

Definition at line 145 of file SDL_stdinc.h.

typedef uint64_t Uint64

An unsigned 64-bit integer type.

Definition at line 154 of file SDL_stdinc.h.

typedef uint8_t Uint8

An unsigned 8-bit integer type.

Definition at line 129 of file SDL_stdinc.h.

## Enumeration Type Documentation

enum SDL_bool

Enumerator
SDL_FALSE |
SDL_TRUE |

Definition at line 116 of file SDL_stdinc.h.

## Function Documentation

DECLSPEC int SDLCALL SDL_abs | ( | int | x | ) |

Definition at line 169 of file SDL_stdlib.c.

DECLSPEC double SDLCALL SDL_atan | ( | double | x | ) |

Definition at line 30 of file SDL_stdlib.c.

References atan(), and SDL_uclibc_atan().

DECLSPEC double SDLCALL SDL_atan2 | ( | double | x,
|  | double | y
| ) |  |

Definition at line 40 of file SDL_stdlib.c.

References SDL_uclibc_atan2().

Referenced by dollarNormalize(), and SDL_GestureProcessEvent().

DECLSPEC double SDLCALL SDL_atof | ( | const char * | str | ) |

Definition at line 783 of file SDL_string.c.

References NULL, and SDL_strtod().

Referenced by SDLTest_CommonArg().

DECLSPEC int SDLCALL SDL_atoi | ( | const char * | str | ) |

Definition at line 774 of file SDL_string.c.

References NULL, and SDL_strtol().

Referenced by isAtLeastGL3(), prepare_audiospec(), SDL_HapticSetGain(), SDL_PrivateGameControllerParseButton(), and SDLTest_CommonArg().

DECLSPEC void* SDLCALL SDL_calloc | ( | size_t | nmemb,
|  | size_t | size
| ) |  |

Referenced by SDL_AllocBlitMap(), SDL_CreateMutex(), SDL_CreateRGBSurface(), SDL_CreateTexture(), SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_CreateWindowTexture(), SDL_EventState(), SDL_SW_CreateYUVTexture(), SDLTest_CommonCreateState(), and SW_CreateRendererForSurface().

DECLSPEC double SDLCALL SDL_ceil | ( | double | x | ) |

Definition at line 50 of file SDL_stdlib.c.

References int.

Referenced by _rotozoomSurfaceSizeTrig(), SDL_BuildAudioResampleCVT(), SDL_RenderSetClipRect(), SDL_RenderSetViewport(), and UpdateLogicalSize().

DECLSPEC double SDLCALL SDL_copysign | ( | double | x,
|  | double | y
| ) |  |

Definition at line 60 of file SDL_stdlib.c.

References copysign(), and SDL_uclibc_copysign().

DECLSPEC double SDLCALL SDL_cos | ( | double | x | ) |

Definition at line 70 of file SDL_stdlib.c.

References cos(), and SDL_uclibc_cos().

Referenced by _rotozoomSurfaceSizeTrig(), dollarDifference(), dollarNormalize(), and SDL_cosf().

DECLSPEC float SDLCALL SDL_cosf | ( | float | x | ) |

Definition at line 80 of file SDL_stdlib.c.

References SDL_cos().

DECLSPEC double SDLCALL SDL_fabs | ( | double | x | ) |

Definition at line 90 of file SDL_stdlib.c.

References fabs(), and SDL_uclibc_fabs().

Referenced by _rotozoomSurfaceSizeTrig(), bestDollarDifference(), and UpdateLogicalSize().

DECLSPEC double SDLCALL SDL_floor | ( | double | x | ) |

Definition at line 100 of file SDL_stdlib.c.

References floor(), and SDL_uclibc_floor().

Referenced by SDL_RenderSetClipRect(), and SDL_RenderSetViewport().

DECLSPEC void SDLCALL SDL_free | ( | void * | mem | ) |

Referenced by build_device_list(), COREAUDIO_CloseDevice(), Zeni::Controllers::device_added(), free_device_list(), IMA_ADPCM_decode(), MS_ADPCM_decode(), ReadChunk(), RLEAlphaSurface(), RLEColorkeySurface(), SDL_AddTimer(), SDL_AllocFormat(), SDL_AllocPalette(), SDL_ClearHints(), SDL_CreateCond(), SDL_CreateMutex(), SDL_CreateSemaphore(), SDL_CreateThread(), SDL_CreateWindowTexture(), SDL_DelEventWatch(), SDL_DelHintCallback(), SDL_DelTouch(), SDL_DestroyCond(), SDL_DestroyMutex(), SDL_DestroySemaphore(), SDL_DestroyTexture(), SDL_DestroyWindow(), SDL_DestroyWindowTexture(), SDL_FreeBlitMap(), SDL_FreeFormat(), SDL_FreePalette(), SDL_FreeRW(), SDL_FreeShapeTree(), SDL_FreeSurface(), SDL_FreeWAV(), SDL_GameControllerAddMapping(), SDL_GameControllerClose(), SDL_GameControllerLoadHints(), SDL_GameControllerOpen(), SDL_GameControllerQuit(), SDL_Generic_SetTLSData(), SDL_GetErrBuf(), SDL_HapticClose(), SDL_HapticOpen(), SDL_HapticOpenFromJoystick(), SDL_HapticQuit(), SDL_iconv_close(), SDL_InvalidateMap(), SDL_JoystickClose(), SDL_JoystickOpen(), SDL_LoadWAV_RW(), SDL_LogOutput(), SDL_LogResetPriorities(), SDL_RecreateWindow(), SDL_RemoveTimer(), SDL_SetClipboardText(), SDL_setenv(), SDL_SetHintWithPriority(), SDL_SetWindowData(), SDL_SetWindowTitle(), SDL_StopEventLoop(), SDL_StreamDeinit(), SDL_SW_DestroyYUVTexture(), SDL_TimerQuit(), SDL_TLSCleanup(), SDL_TouchQuit(), SDL_UnRLESurface(), SDL_UpdateTextureNative(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), SDL_VideoQuit(), SDL_WaitThread(), SDLTest_CommonEvent(), SDLTest_CommonQuit(), SDLTest_GenerateExecKey(), and SW_DestroyRenderer().

DECLSPEC char* SDLCALL SDL_getenv | ( | const char * | name | ) |

Definition at line 179 of file SDL_getenv.c.

References i, SDL_strlen(), and SDL_strncmp().

Referenced by getlocale(), open_audio_device(), prepare_audiospec(), SDL_AudioInit(), SDL_ChooseBlitFunc(), SDL_GetHint(), SDL_GL_ExtensionSupported(), SDL_HapticSetGain(), SDL_PromptAssertion(), SDL_setenv(), SDL_SetHintWithPriority(), and SDL_VideoInit().

DECLSPEC size_t SDLCALL SDL_iconv | ( | SDL_iconv_t | cd,
|  | const char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft
| ) |  |

Definition at line 240 of file SDL_iconv.c.

References ENCODING_ASCII, ENCODING_LATIN1, ENCODING_UCS2BE, ENCODING_UCS2LE, ENCODING_UCS4BE, ENCODING_UCS4LE, ENCODING_UTF16, ENCODING_UTF16BE, ENCODING_UTF16LE, ENCODING_UTF16NATIVE, ENCODING_UTF32, ENCODING_UTF32BE, ENCODING_UTF32LE, ENCODING_UTF32NATIVE, ENCODING_UTF8, SDL_FALSE, SDL_ICONV_E2BIG, SDL_ICONV_EINVAL, SDL_TRUE, UNICODE_BOM, UNKNOWN_ASCII, and UNKNOWN_UNICODE.

Referenced by SDL_iconv_string().

DECLSPEC int SDLCALL SDL_iconv_close | ( | SDL_iconv_t | cd | ) |

Definition at line 844 of file SDL_iconv.c.

References SDL_free().

Referenced by SDL_iconv_string().

DECLSPEC SDL_iconv_t SDLCALL SDL_iconv_open | ( | const char * | tocode,
|  | const char * | fromcode
| ) |  |

Definition at line 200 of file SDL_iconv.c.

References ENCODING_UNKNOWN, encodings, getlocale(), i, SDL_arraysize, SDL_malloc(), and SDL_strcasecmp().

Referenced by SDL_iconv_string().

DECLSPEC char* SDLCALL SDL_iconv_string | ( | const char * | tocode,
|  | const char * | fromcode,
|  | const char * | inbuf,
|  | size_t | inbytesleft
| ) |  |

This function converts a string between encodings in one pass, returning a string that must be freed with SDL_free() or NULL on error.

Definition at line 855 of file SDL_iconv.c.

References NULL, SDL_iconv(), SDL_iconv_close(), SDL_ICONV_E2BIG, SDL_ICONV_EILSEQ, SDL_ICONV_EINVAL, SDL_ICONV_ERROR, SDL_iconv_open(), SDL_malloc(), SDL_memset(), and SDL_realloc().

DECLSPEC int SDLCALL SDL_isdigit | ( | int | x | ) |

Definition at line 184 of file SDL_stdlib.c.

Referenced by SDL_ScanFloat(), SDL_ScanLong(), SDL_ScanLongLong(), SDL_ScanUintPtrT(), SDL_ScanUnsignedLong(), SDL_ScanUnsignedLongLong(), and SDLTest_CommonArg().

DECLSPEC int SDLCALL SDL_isspace | ( | int | x | ) |

Definition at line 185 of file SDL_stdlib.c.

Referenced by SDL_sscanf().

DECLSPEC char* SDLCALL SDL_itoa | ( | int | value,
|  | char * | str,
|  | int | radix
| ) |  |

Definition at line 639 of file SDL_string.c.

References Zeni::itoa(), and SDL_ltoa().

Referenced by SDL_AddVideoDisplay().

DECLSPEC char* SDLCALL SDL_lltoa | ( | Sint64 | value,
|  | char * | str,
|  | int | radix
| ) |  |

Definition at line 717 of file SDL_string.c.

References ntoa_table, and SDL_strrev().

Referenced by SDL_PrintLongLong().

DECLSPEC double SDLCALL SDL_log | ( | double | x | ) |

Definition at line 110 of file SDL_stdlib.c.

References SDL_uclibc_log().

DECLSPEC char* SDLCALL SDL_ltoa | ( | long | value,
|  | char * | str,
|  | int | radix
| ) |  |

Definition at line 659 of file SDL_string.c.

References ntoa_table, and SDL_strrev().

Referenced by SDL_itoa(), and SDL_PrintLong().

DECLSPEC void* SDLCALL SDL_malloc | ( | size_t | size | ) |

Referenced by build_device_list(), COREAUDIO_OpenDevice(), IMA_ADPCM_decode(), Map1to1(), Map1toN(), MS_ADPCM_decode(), prepare_audiounit(), PSPAUD_OpenDevice(), ReadChunk(), RecursivelyCalculateShapeTree(), RLEAlphaSurface(), RLEColorkeySurface(), SDL_AddEvent(), SDL_AddEventWatch(), SDL_AddFinger(), SDL_AddHintCallback(), SDL_AddTimer(), SDL_AddTouch(), SDL_AllocFormat(), SDL_AllocPalette(), SDL_AllocRW(), SDL_CreateCond(), SDL_CreateMutex(), SDL_CreateRGBSurface(), SDL_CreateSemaphore(), SDL_CreateThread(), SDL_CreateWindowTexture(), SDL_GameControllerAddMapping(), SDL_GameControllerLoadHints(), SDL_GameControllerMappingForGUID(), SDL_GameControllerOpen(), SDL_Generic_SetTLSData(), SDL_GetErrBuf(), SDL_GetWindowGammaRamp(), SDL_HapticInit(), SDL_HapticOpen(), SDL_HapticOpenFromJoystick(), SDL_iconv_open(), SDL_iconv_string(), SDL_JoystickOpen(), SDL_LogSetPriority(), SDL_PeepEvents(), SDL_PrivateGetControllerGUIDFromMappingString(), SDL_PrivateGetControllerNameFromMappingString(), SDL_setenv(), SDL_SetHintWithPriority(), SDL_SetWindowData(), SDL_strdup(), SDL_SW_CreateYUVTexture(), SDL_UnRLESurface(), SDL_UpdateTextureNative(), SDL_UpdateTextureYUV(), SDL_UpdateTextureYUVPlanar(), SDLTest_CommonInit(), SDLTest_GenerateExecKey(), SDLTest_GenerateRunSeed(), SDLTest_RandomAsciiStringOfSize(), and UnRLEAlpha().

DECLSPEC int SDLCALL SDL_memcmp | ( | const void * | s1,
|  | const void * | s2,
|  | size_t | len
| ) |  |

Definition at line 370 of file SDL_string.c.

Referenced by Map1to1(), SDL_ConvertSurface(), SDL_PrivateGameControllerRefreshMapping(), SDL_PrivateGetControllerMappingForGUID(), and SDL_SetDisplayModeForDisplay().

DECLSPEC void* SDLCALL SDL_memcpy | ( | void * | dst,
|  | const void * | src,
|  | size_t | len
| ) |  |

Definition at line 293 of file SDL_string.c.

References memcpy.

Referenced by BlitBto3Key(), mem_read(), mem_write(), outputCallback(), prepare_audiospec(), RLEColorkeySurface(), SDL_AddDollarGesture_one(), SDL_BlitCopy(), SDL_ConvertPixels(), SDL_ConvertSurface(), SDL_GameControllerLoadHints(), SDL_GetDefaultKeymap(), SDL_GetWindowGammaRamp(), SDL_HapticClose(), SDL_HapticNewEffect(), SDL_HapticUpdateEffect(), SDL_KeyboardInit(), SDL_memcpy4(), SDL_PrivateGetControllerGUIDFromMappingString(), SDL_PrivateGetControllerNameFromMappingString(), SDL_RunAudio(), SDL_SetKeymap(), SDL_SetPaletteColors(), SDL_SetWindowGammaRamp(), SDL_strlcpy(), SDL_SW_UpdateYUVTexture(), SDL_SW_UpdateYUVTexturePlanar(), SDL_SYS_JoystickGetDeviceGUID(), SDL_SYS_JoystickGetGUID(), SDL_utf8strlcpy(), SDL_wcslcpy(), and SW_UpdateTexture().

SDL_FORCE_INLINE void* SDL_memcpy4 | ( | void * | dst,
|  | const void * | src,
|  | size_t | dwords
| ) |  |

Definition at line 289 of file SDL_stdinc.h.

References SDL_memcpy().

DECLSPEC void* SDLCALL SDL_memmove | ( | void * | dst,
|  | const void * | src,
|  | size_t | len
| ) |  |

Definition at line 346 of file SDL_string.c.

References memmove.

Referenced by SDL_BlitCopy().

DECLSPEC void* SDLCALL SDL_memset | ( | void * | dst,
|  | int | c,
|  | size_t | len
| ) |  |

Definition at line 261 of file SDL_string.c.

References memset.

Referenced by COREAUDIO_CloseDevice(), COREAUDIO_OpenDevice(), dollarRecognize(), open_audio_device(), outputCallback(), prepare_audiounit(), PSPAUD_OpenDevice(), SDL_AllocPalette(), SDL_AudioInit(), SDL_AudioQuit(), SDL_CreateRGBSurface(), SDL_CreateThread(), SDL_DrawLine1(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerOpen(), SDL_HapticInit(), SDL_HapticOpen(), SDL_HapticOpenFromJoystick(), SDL_iconv_string(), SDL_JoystickGetGUIDFromString(), SDL_JoystickOpen(), SDL_LoadWAV_RW(), SDL_PrivateGameControllerParseControllerConfigString(), SDL_Quit(), SDL_RunAudio(), SDL_SendSysWMEvent(), SDLTest_Assert(), SDLTest_AssertCheck(), SDLTest_AssertPass(), SDLTest_FuzzerInit(), SDLTest_GenerateExecKey(), SDLTest_Log(), SDLTest_LogError(), SDLTest_TimestampToString(), transformSurfaceY(), and UnRLEAlpha().

SDL_FORCE_INLINE void SDL_memset4 | ( | void * | dst,
|  | int | val,
|  | size_t | dwords
| ) |  |

Definition at line 258 of file SDL_stdinc.h.

References SDL_static_cast.

Referenced by SDL_FillRect1(), SDL_FillRect2(), and SDL_FillRect4().

DECLSPEC double SDLCALL SDL_pow | ( | double | x,
|  | double | y
| ) |  |

Definition at line 120 of file SDL_stdlib.c.

References SDL_uclibc_pow().

Referenced by SDL_CalculateGammaRamp().

DECLSPEC void SDLCALL SDL_qsort | ( | void * | base,
|  | size_t | nmemb,
|  | size_t | size,
|  | int(*)(const void *, const void *) | compare
| ) |  |

Referenced by SDL_AddDisplayMode(), and SDL_GetNumDisplayModesForDisplay().

DECLSPEC void* SDLCALL SDL_realloc | ( | void * | mem,
|  | size_t | size
| ) |  |

Referenced by RLEAlphaSurface(), RLEColorkeySurface(), SDL_AddCaptureAudioDevice(), SDL_AddDisplayMode(), SDL_AddDollarGesture_one(), SDL_AddFinger(), SDL_AddOutputAudioDevice(), SDL_AddTouch(), SDL_AddVideoDisplay(), SDL_GestureAddTouch(), SDL_iconv_string(), SDL_LoadBMP_RW(), SDL_setenv(), and SDL_TLSSet().

DECLSPEC double SDLCALL SDL_scalbn | ( | double | x,
|  | int | n
| ) |  |

Definition at line 130 of file SDL_stdlib.c.

References scalbn(), and SDL_uclibc_scalbn().

DECLSPEC int SDLCALL SDL_setenv | ( | const char * | name,
|  | const char * | value,
|  | int | overwrite
| ) |  |

Definition at line 85 of file SDL_getenv.c.

References i, SDL_free(), SDL_getenv(), SDL_malloc(), SDL_realloc(), SDL_snprintf(), SDL_strlen(), and SDL_strncmp().

DECLSPEC double SDLCALL SDL_sin | ( | double | x | ) |

Definition at line 140 of file SDL_stdlib.c.

References SDL_uclibc_sin(), and sin().

Referenced by _rotozoomSurfaceSizeTrig(), dollarDifference(), dollarNormalize(), and SDL_sinf().

DECLSPEC float SDLCALL SDL_sinf | ( | float | x | ) |

Definition at line 150 of file SDL_stdlib.c.

References SDL_sin().

DECLSPEC int SDLCALL SDL_snprintf | ( | char * | text,
|  | size_t | maxlen,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 1277 of file SDL_string.c.

References SDL_vsnprintf().

Referenced by open_audio_device(), SDL_GameControllerMappingForGUID(), SDL_GetErrorMsg(), SDL_LogOutput(), SDL_PromptAssertion(), SDL_RWFromFile(), SDL_setenv(), SDLTest_CommonEvent(), SDLTest_CommonInit(), SDLTest_CompareSurfaces(), and SDLTest_GenerateExecKey().

DECLSPEC double SDLCALL SDL_sqrt | ( | double | x | ) |

Definition at line 160 of file SDL_stdlib.c.

References SDL_uclibc_sqrt().

Referenced by dollarDifference(), dollarNormalize(), and SDL_GestureProcessEvent().

DECLSPEC int SDLCALL SDL_sscanf | ( | const char * | text,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 1011 of file SDL_string.c.

References int, SDL_FALSE, SDL_isspace(), SDL_ScanFloat(), SDL_ScanLong(), SDL_ScanLongLong(), SDL_ScanUintPtrT(), SDL_ScanUnsignedLong(), SDL_ScanUnsignedLongLong(), SDL_strncmp(), SDL_tolower(), and SDL_TRUE.

Referenced by SDL_ChooseBlitFunc().

DECLSPEC int SDLCALL SDL_strcasecmp | ( | const char * | str1,
|  | const char * | str2
| ) |  |

Definition at line 946 of file SDL_string.c.

References SDL_toupper().

Referenced by GetScaleQuality(), SDL_CreateRenderer(), SDL_CreateWindowTexture(), SDL_GameControllerAddMapping(), SDL_GameControllerGetAxisFromString(), SDL_GameControllerGetButtonFromString(), SDL_GetScancodeFromName(), SDL_iconv_open(), SDLTest_CommonArg(), SDLTest_CommonInit(), and ShouldUseTextureFramebuffer().

DECLSPEC char* SDLCALL SDL_strchr | ( | const char * | str,
|  | int | c
| ) |  |

Definition at line 575 of file SDL_string.c.

References NULL, and SDL_const_cast.

Referenced by getlocale(), SDL_GameControllerLoadHints(), SDL_GL_ExtensionSupported(), SDL_PrivateGetControllerGUIDFromMappingString(), SDL_PrivateGetControllerMappingFromMappingString(), and SDL_PrivateGetControllerNameFromMappingString().

DECLSPEC int SDLCALL SDL_strcmp | ( | const char * | str1,
|  | const char * | str2
| ) |  |

Definition at line 910 of file SDL_string.c.

Referenced by findDevId(), getlocale(), open_audio_device(), SDL_AddHintCallback(), SDL_CreateWindowTexture(), SDL_DelHintCallback(), SDL_GetCPUCacheLineSize(), SDL_GetHint(), SDL_GetWindowData(), SDL_GL_ExtensionSupported(), SDL_GL_LoadLibrary(), SDL_LoadBMP_RW(), SDL_PromptAssertion(), SDL_SaveBMP_RW(), SDL_SetHintWithPriority(), SDL_SetWindowData(), SDLTest_CommonArg(), and SDLTest_RunSuites().

DECLSPEC char* SDLCALL SDL_strdup | ( | const char * | str | ) |

Definition at line 511 of file SDL_string.c.

References SDL_malloc(), SDL_strlcpy(), SDL_strlen(), and strdup().

Referenced by SDL_AddCaptureAudioDevice(), SDL_AddHintCallback(), SDL_AddOutputAudioDevice(), SDL_AddVideoDisplay(), SDL_CreateThread(), SDL_GetClipboardText(), SDL_JoystickOpen(), SDL_PrivateGetControllerMappingFromMappingString(), SDL_SendDropFile(), SDL_SetClipboardText(), SDL_SetHintWithPriority(), SDL_SetWindowData(), and SDL_SetWindowTitle().

DECLSPEC size_t SDLCALL SDL_strlcat | ( | char * | dst,
|  | const char * | src,
|  | size_t | maxlen
| ) |  |

Definition at line 496 of file SDL_string.c.

References SDL_strlcpy(), and SDL_strlen().

DECLSPEC size_t SDLCALL SDL_strlcpy | ( | char * | dst,
|  | const char * | src,
|  | size_t | maxlen
| ) |  |

Definition at line 448 of file SDL_string.c.

References SDL_memcpy(), SDL_min, and SDL_strlen().

Referenced by getlocale(), SDL_GetCPUType(), SDL_PrintString(), SDL_SetError(), SDL_strdup(), SDL_strlcat(), and SDLTest_CommonInit().

DECLSPEC size_t SDLCALL SDL_strlen | ( | const char * | str | ) |

Definition at line 389 of file SDL_string.c.

Referenced by SDL_AudioInit(), SDL_GameControllerLoadHints(), SDL_GameControllerMappingForGUID(), SDL_getenv(), SDL_GetKeyFromName(), SDL_GL_ExtensionSupported(), SDL_JoystickGetGUIDFromString(), SDL_LogMessageV(), SDL_LogOutput(), SDL_PrintString(), SDL_setenv(), SDL_strdup(), SDL_strlcat(), SDL_strlcpy(), SDL_strrchr(), SDL_strrev(), SDL_strstr(), SDL_strtol(), SDL_strtoll(), SDL_strtoul(), SDL_strtoull(), SDL_SYS_JoystickGetDeviceGUID(), SDL_SYS_JoystickGetGUID(), SDL_utf8strlcpy(), SDL_VideoInit(), and SDLTest_GenerateExecKey().

DECLSPEC char* SDLCALL SDL_strlwr | ( | char * | str | ) |

Definition at line 560 of file SDL_string.c.

References SDL_tolower().

Referenced by SDL_PrintString().

DECLSPEC int SDLCALL SDL_strncasecmp | ( | const char * | str1,
|  | const char * | str2,
|  | size_t | len
| ) |  |

Definition at line 970 of file SDL_string.c.

References SDL_tolower().

Referenced by SDL_AudioInit(), and SDL_VideoInit().

DECLSPEC int SDLCALL SDL_strncmp | ( | const char * | str1,
|  | const char * | str2,
|  | size_t | maxlen
| ) |  |

Definition at line 926 of file SDL_string.c.

Referenced by SDL_getenv(), SDL_LoadBMP_RW(), SDL_ScanLong(), SDL_ScanLongLong(), SDL_ScanUintPtrT(), SDL_ScanUnsignedLong(), SDL_ScanUnsignedLongLong(), SDL_setenv(), SDL_sscanf(), SDL_strstr(), SDL_strtol(), SDL_strtoll(), SDL_strtoul(), SDL_strtoull(), and SDL_vsnprintf().

DECLSPEC char* SDLCALL SDL_strrchr | ( | const char * | str,
|  | int | c
| ) |  |

Definition at line 593 of file SDL_string.c.

References NULL, SDL_const_cast, and SDL_strlen().

DECLSPEC char* SDLCALL SDL_strrev | ( | char * | str | ) |

Definition at line 526 of file SDL_string.c.

References SDL_strlen().

Referenced by SDL_lltoa(), SDL_ltoa(), SDL_ulltoa(), and SDL_ultoa().

DECLSPEC char* SDLCALL SDL_strstr | ( | const char * | haystack,
|  | const char * | needle
| ) |  |

Definition at line 612 of file SDL_string.c.

References NULL, SDL_const_cast, SDL_strlen(), and SDL_strncmp().

Referenced by SDL_GL_ExtensionSupported(), and ShouldUseTextureFramebuffer().

DECLSPEC double SDLCALL SDL_strtod | ( | const char * | str,
|  | char ** | endp
| ) |  |

Definition at line 893 of file SDL_string.c.

References SDL_ScanFloat().

Referenced by SDL_atof().

DECLSPEC long SDLCALL SDL_strtol | ( | const char * | str,
|  | char ** | endp,
|  | int | base
| ) |  |

Definition at line 793 of file SDL_string.c.

References SDL_ScanLong(), SDL_strlen(), and SDL_strncmp().

Referenced by SDL_atoi(), and SDL_vsnprintf().

DECLSPEC Sint64 SDLCALL SDL_strtoll | ( | const char * | str,
|  | char ** | endp,
|  | int | base
| ) |  |

Definition at line 843 of file SDL_string.c.

References SDL_ScanLongLong(), SDL_strlen(), and SDL_strncmp().

DECLSPEC unsigned long SDLCALL SDL_strtoul | ( | const char * | str,
|  | char ** | endp,
|  | int | base
| ) |  |

Definition at line 818 of file SDL_string.c.

References SDL_ScanUnsignedLong(), SDL_strlen(), and SDL_strncmp().

DECLSPEC Uint64 SDLCALL SDL_strtoull | ( | const char * | str,
|  | char ** | endp,
|  | int | base
| ) |  |

Definition at line 868 of file SDL_string.c.

References SDL_ScanUnsignedLongLong(), SDL_strlen(), and SDL_strncmp().

DECLSPEC char* SDLCALL SDL_strupr | ( | char * | str | ) |

Definition at line 545 of file SDL_string.c.

References SDL_toupper().

Referenced by SDL_PrintString().

DECLSPEC int SDLCALL SDL_tolower | ( | int | x | ) |

Definition at line 187 of file SDL_stdlib.c.

Referenced by SDL_sscanf(), SDL_strlwr(), and SDL_strncasecmp().

DECLSPEC int SDLCALL SDL_toupper | ( | int | x | ) |

Definition at line 186 of file SDL_stdlib.c.

Referenced by SDL_strcasecmp(), and SDL_strupr().

DECLSPEC char* SDLCALL SDL_uitoa | ( | unsigned int | value,
|  | char * | str,
|  | int | radix
| ) |  |

Definition at line 649 of file SDL_string.c.

References SDL_ultoa().

DECLSPEC char* SDLCALL SDL_ulltoa | ( | Uint64 | value,
|  | char * | str,
|  | int | radix
| ) |  |

Definition at line 750 of file SDL_string.c.

References ntoa_table, and SDL_strrev().

Referenced by SDL_PrintUnsignedLongLong().

DECLSPEC char* SDLCALL SDL_ultoa | ( | unsigned long | value,
|  | char * | str,
|  | int | radix
| ) |  |

Definition at line 692 of file SDL_string.c.

References ntoa_table, and SDL_strrev().

Referenced by SDL_PrintUnsignedLong(), and SDL_uitoa().

DECLSPEC size_t SDLCALL SDL_utf8strlcpy | ( | char * | dst,
|  | const char * | src,
|  | size_t | dst_bytes
| ) |  |

Definition at line 463 of file SDL_string.c.

References i, SDL_memcpy(), SDL_min, SDL_strlen(), UTF8_IsLeadByte, UTF8_IsTrailingByte, and UTF8_TrailingBytes().

Referenced by SDL_SendEditingText(), and SDL_SendKeyboardText().

DECLSPEC int SDLCALL SDL_vsnprintf | ( | char * | text,
|  | size_t | maxlen,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |

Definition at line 1479 of file SDL_string.c.

References SDL_CASE_LOWER, SDL_CASE_NOCHANGE, SDL_CASE_UPPER, SDL_FALSE, SDL_min, SDL_PrintFloat(), SDL_PrintLong(), SDL_PrintLongLong(), SDL_PrintString(), SDL_PrintUnsignedLong(), SDL_PrintUnsignedLongLong(), SDL_strncmp(), SDL_strtol(), SDL_TRUE, and SDL_zero.

Referenced by SDL_LogMessageV(), SDL_snprintf(), SDLNet_SetError(), SDLTest_Assert(), SDLTest_AssertCheck(), SDLTest_AssertPass(), SDLTest_Log(), and SDLTest_LogError().

DECLSPEC size_t SDLCALL SDL_wcslcat | ( | wchar_t * | dst,
|  | const wchar_t * | src,
|  | size_t | maxlen
| ) |  |

Definition at line 433 of file SDL_string.c.

References SDL_wcslcpy(), and SDL_wcslen().

DECLSPEC size_t SDLCALL SDL_wcslcpy | ( | wchar_t * | dst,
|  | const wchar_t * | src,
|  | size_t | maxlen
| ) |  |

Definition at line 417 of file SDL_string.c.

References SDL_memcpy(), SDL_min, and SDL_wcslen().

Referenced by SDL_wcslcat().

DECLSPEC size_t SDLCALL SDL_wcslen | ( | const wchar_t * | wstr | ) |

Definition at line 403 of file SDL_string.c.

Referenced by SDL_wcslcat(), and SDL_wcslcpy().